## org.hibernate.cfg
Class SettingsFactory

    java.lang.Object
      org.hibernate.cfg.SettingsFactory

All Implemented Interfaces:
  Serializable

    public class SettingsFactory

extends Object
implements Serializable

Reads configuration properties and builds a `Settings` instance.

See Also:
  Serialized Form

Field Summary
`static String` `DEF_CACHE_REG_FACTORY`

Constructor Summary
`SettingsFactory()`

Method Summary
`Settings` `buildSettings(Properties props, ServiceRegistry serviceRegistry)`
`protected QueryCacheFactory` `createQueryCacheFactory(Properties properties, ServiceRegistry serviceRegistry)`
`protected QueryTranslatorFactory` `createQueryTranslatorFactory(Properties properties, ServiceRegistry serviceRegistry)`
`static RegionFactory` `createRegionFactory(Properties properties, boolean cachingEnabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEF_CACHE_REG_FACTORY

    public static final String DEF_CACHE_REG_FACTORY

Constructor Detail

### SettingsFactory

    public SettingsFactory()

Method Detail

### buildSettings

    public Settings buildSettings(Properties props,
                                  ServiceRegistry serviceRegistry)

### createQueryCacheFactory

    protected QueryCacheFactory createQueryCacheFactory(Properties properties,
                                                        ServiceRegistry serviceRegistry)

### createRegionFactory

    public static RegionFactory createRegionFactory(Properties properties,
                                                    boolean cachingEnabled)

### createQueryTranslatorFactory

    protected QueryTranslatorFactory createQueryTranslatorFactory(Properties properties,
                                                                  ServiceRegistry serviceRegistry)

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.